
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于 Node.js: 所有PHP开发人员应该知道的5点 / iVAN</title>

    <meta name="description" content="关于 Node.js: 所有PHP开发人员应该知道的5点 我最近开始和Node.js打交道.以前做PHP开发,特别是Drupal,我发现向Node.js转移很容易,而且过程很愉快!但是我也需要学会从一些不同的角度思考.下面我列出了5项我认为PHP工程师应该知道的Node.js特点. 1. Node.js 是构建于Chrome的JavaScript引擎的Google的浏览器Chrome,有一个非常快速的JavaScript引擎,叫做V8.这个JS引擎可以被独立出来.Node.js就是建立在V8之上的.这也是为什么Node.js会运行的如此之快.对于开发者">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">关于 Node.js: 所有PHP开发人员应该知道的5点</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我最近开始和Node.js打交道。以前做PHP开发，特别是Drupal，我发现向Node.js转移很容易，而且过程很愉快！但是我也需要学会从一些不同的角度思考。下面我列出了5项我认为PHP工程师应该知道的Node.js特点。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19mMmUzMmQzZmU3NDY1YzQxYTAyMzkzNThkMGY3OGUwOC5wbmc=.jpg"></p>
<p><strong>1. Node.js 是构建于Chrome的JavaScript引擎的</strong><br />Google的浏览器Chrome，有一个非常快速的JavaScript引擎，叫做V8。这个JS引擎可以被独立出来。Node.js就是建立在V8之上的。这也是为什么Node.js会运行的如此之快。对于开发者来说，有几个好处：</p>
<ul>
<li>你不需要重新学习一门新的语言，它就是JS。我常常查看Chrome和Mozilla的JS文档，他们完全通用。</li>
<li>受益于V8的 JIT （Just In Time）编译功能，Node.js 的应用的运行速度可以和本地代码媲美。对比测试标明，Node.js 要比 PHP 和Ruby 快很多。</li>
<li>随着V8的进步，Node.js 将同时受益。</li>
</ul>
<p><strong>2. Node.js 不仅仅是一个网页服务器或者平台</strong><br />和PHP不同，Node.js 不是以网页为中心的。Node.js 是通用目的的JS运行时，带有很多功能强大的库。其中有一个库提供了 HTTP/HTTPS 的实现。<br />你可以用Node.js做很多事情。你可以很容易的利用它来创建一个命令行程序或者其他TCP/IP服务。</p>
<p><strong>3. Node.js 是面向对象的 （虽然比较奇怪）</strong><br />我喜欢jQuery。但是它让我变懒，写了很多简单、快速但是很难看毫无架构可言的脚本。这并不是什么坏事，因为处理简单的网页行为，这足够了。但是Node.js不是仅仅用来处理浏览器上面的事情的，它是可以用来构建应用程序的，也就是你必须考虑程序架构。当你用Node.js写代码的时候，你将深入到JS的对象模型中。我曾经很讨厌JS的对象模型，常常把我搞疯掉。但是Node.js和NPM（Node Package Manager）很好的利用了JS的原型系统，帮助我清楚了很多类/接口使用中的障碍，让我爱上了面向对象的JS编程。</p>
<p><strong>4. 基于事件的 I/O</strong><br />这是Node.js最有争议的一点。Node自身在一个线程中运行。是的，只有一个！你可以和传统的 Apache/PHP 的一堆实例对比一下。但是Node运行的很快速，很高效。<br />这是怎么做到的？共享执行时间，把密集的IP处理放到别的线程处理。对于这一点的优点与缺点我可以写很长的文字来讨论，但这里我想说点实际的：当你用Node.js写代码的时候，你需要考虑你的任务是否是慢的，或者I/O密集型的。使用异步的方法来处理回调或者使用事件处理器来处理执行慢的工作。<br />最主要的是，你要保证代码不让一个请求占据Node主线程太长事件，并且不给其他请求处理的机会。</p>
<p><strong>5. 必须使用包管理！</strong><br />老实说，你喜欢PEAR吗？你是不是把你大部分的代码都转换成PEAR或者PECL包了？并没有很多PHP程序员这么做，甚至很多人并不知道PEAR的存在。在Node.js的世界里，你必须把代码打包：</p>
<ul>
<li>Node.js的设计就是一个最精简的框架。PHP核心的90%的东西都不会在Node.js核心中出现。例如，数据库驱动、邮件发送库、HTML支持等等，都不在核心库中。</li>
<li>Node.js的核心就是一个模块化的框架。你会发现它很好用！</li>
<li>NPM（Node Package Manager）是你必备的工具。有了它，你就可以下载Node.js的各种代码包，驱动，解析器，编辑器，服务器等等。</li>
<li>创建并且发布你的代码包是很简单的。我在使用Node工作不久就发布了我的第一个代码包。</li>
</ul>
<p>如果你是一个Drupal开发者，你会觉得Node的包管理系统有点像Drupal的模块，不同的是你现在面对的开发者，不是建站者。</p>
<p><strong>结论：问问你的医生，Node.js是否合适你</strong><br />我提到了很多PHP开发者应该知道的，Node.js的特点。互联网上有成千上万关于Node.js的文章，大部分是正面的。Node是一个有趣的产品，它有一个优雅的架构。但是Node并不是万能药。我并不认为Node能够马上替代PHP。我只是认为PHP开发者都应该学习一下Node.js。它很简单，很有用。</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:45:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/node/" title="node">node</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/chrome/" title="chrome">chrome</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>关于 Node.js: 所有PHP开发人员应该知道的5点的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPB9Zb.html" rel="bookmark">网站开发人员应该知道的61件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有人在Stack Overflow上发问,动手开发网站之前,需要知道哪些事情? 不出意料地,他得到了一大堆回答. 通常情况下,你需要把所有人的发言从头到尾读一遍.但是,Stack Overflow有一个很贴心的设计,它允许在问题下方开设一个wiki区,让所有人共同编辑一个最佳答案.于是,就有了下面这篇文章,一共总结出六个方面共计61条&quot;网站开发须知&quot;. 我发现,这种概述性的问题,最适合这种集合群智.头脑风暴式的回答方式了.这也是我第一次觉得,Stack Overflow做到了Wikip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQw7Rp.html" rel="bookmark">C&num;开发人员应该知道的13件事情</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了C#开发人员应该了解到的13件事情,希望对C#开发人员有所帮助. 1. 开发过程 开发过程是错误和缺陷开始的地方.使用工具可以帮助你在发布之后,解决掉一些问题. 编码标准 遵照编码标准可以编写出更多可维护的代码,特别是在由多个开发人员或团队编写和维护的代码库中.例如FxCop,StyleCop和ReSharper等,就是常用的实施编码标准的工具. 开发人员:在压缩代码之前,请使用工具仔细检查是否违反了标准,并且对结果进行分析.使用工具发现的代码路径问题,不比你预期的少. 代码审查 代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAX9ZM.html" rel="bookmark">网站开发人员应该知道的62件事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,有人在 Stack Overflow 上发表提问&quot;动手开发网站之前,需要知道哪些事情?&quot;,众多人给出了不同的答案,同时所有人根据Stack Overflow问题下面的wiki区对众多答案进行了编辑,总结出62条网站开发人员应该知道的事.Web技术开发者阮一峰 把这62条答案进行了翻译 ,现转载于此,全文如下: 有人在Stack Overflow 上发问,动手开发网站之前,需要知道哪些事情?不出意料地,他得到了一大堆回答. 通常情况下,你需要把所有人的发言从头到尾读一遍.但是,St			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNeJ6p.html" rel="bookmark">分享下网站开发人员应该知道的61件事&lowbar;其它综合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不出意料地,他得到了一大堆回答. 通常情况下,你需要把所有人的发言从头到尾读一遍.但是,Stack Overflow有一个很贴心的设计,它允许在问题下方开设一个wiki区,让所有人共同编辑一个最佳答案.于是,就有了下面这篇文章,一共总结出六个方面共计61条&quot;网站开发须知&quot;. 我发现,这种概述性的问题,最适合这种集合群智.头脑风暴式的回答方式了.这也是我第一次觉得,Stack Overflow做到了Wikipedia做不到的事.(难怪它最近挤进了全美前400大网站.) 在我的印象中,关于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNXdZb.html" rel="bookmark">关于Node&period;js：所有PHP开发人员应该知道的5点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我最近开始和Node.js打交道.以前做PHP开发,特别是Drupal,我发现向Node.js转移很容易,而且过程很愉快!但是我也需要学会从 一些不同的角度思考.下面我列出了5项我认为PHP工程师应该知道的Node.js特点. 1. Node.js是构建于Chrome的JavaScript引擎的 Google的浏览器Chrome,有一个非常快速的JavaScript引擎,叫做V8.这个JS引擎可以被独立出来.Node.js就是建立在V8之上的.这 也是为什么Node.js会运行的如此之快.对于开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NYL8M.html" rel="bookmark">每个开发人员应该知道的10个Linux命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一名软件工程师,学习Linux是我所做的最好投资.因为Linux是一个用户必须理解和维护的系统,所以日常体验就像向水坑加水滴一样.时间一长,水坑就会成为湖泊,甚至是海洋.所以我们必须杜微慎防. 今天,我作为一名30多岁的工程师,仍然受益于我几年前机缘巧合学到的一大堆知识,在我还是一个具有雄心壮志的初学者的时候.在另一篇博客中,我已经更详细地解释了为什么Linux对于软件开发人员来说是一个更加务实的选择. 在这篇博文中,我将分享一些不太受欢迎但非常有用的Linux命令,我个人极力推荐.如果你是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWBPQb.html" rel="bookmark">《Node&period;js区块链开发》导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Preface 前 言 本书原名&lt;Nodejs开发加密货币&gt;,大部分已经通过网络免费分享(网络上仍有原文),正式出版的时候改成了现在的名字,部分章节也做了调整.写作本书的时候,&quot;区块链&quot;这个称呼并不流行,但讨论的内容实际上就是区块链技术.就在本书整理出版的时候,国家发布了&lt;中国区块链技术和应用发展白皮书&gt;,整个社区也接纳了&quot;区块链&quot;这个称谓,因此改为现在的名字. &quot;每一件与众不同的绝世好东西,其实都是以无比寂寞的勤奋为前提的,要么是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42vwrM.html" rel="bookmark">《Node&period;js区块链开发》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 本书原名&lt;Nodejs开发加密货币&gt;,大部分已经通过网络免费分享(网络上仍有原文),正式出版的时候改成了现在的名字,部分章节也做了调整.写作本书的时候,&quot;区块链&quot;这个称呼并不流行,但讨论的内容实际上就是区块链技术.就在本书整理出版的时候,国家发布了&lt;中国区块链技术和应用发展白皮书&gt;,整个社区也接纳了&quot;区块链&quot;这个称谓,因此改为现在的名字. &quot;每一件与众不同的绝世好东西,其实都是以无比寂寞的勤奋为前提的,要么是血,要么是汗,要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M12xnap.html" rel="bookmark">《Node&period;js区块链开发》&mdash;&mdash;2&period;2　信用，决定着利益转移的方向</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 信用,决定着利益转移的方向 与他人谈起区块链时,不止一次谈到&quot;信用&quot;这个话题,每一次我都会有更加深刻的理解.第一次明确地谈信用,起源于一个公司反复地声明一件事情,但是除了声明,也没有更好的办法向公众表明自己,反而越声明越被动.于是,我在网上发表了一篇文章&lt;请尽早把你的信誉区块链化&gt;(见2.7节),其核心观点是学习区块链的处理方式积累个人或公司的信用. 这里再次提及这个话题,原因是我在写下前面部分的时候,突然发觉单纯地讲未来趋势会如何没有任何说服力,其中缺少潜在的源动			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRxWdz.html" rel="bookmark" class="title">浅析网站进入百度沙盒的原因</a>
					<div>
						谷歌的沙盒想必做SEO的同仁都知道,但是百度的沙盒可能还有一些朋友不甚了解.说百度沙盒可能还不准确,只是他和谷歌的沙盒是一样的性质,都是对一个新站的观察期,这个周期时间不确定,长的甚至还有几个月短的也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgkDZM.html" rel="bookmark" class="title">PHP实例教程：PHP实现文件安全下载的程序</a>
					<div>
						PHP实现文件安全下载 程序如下: ＄file_name = &quot;info_check.exe&quot;; ＄file_dir = &quot;/public/www/download/&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp55VAp.html" rel="bookmark" class="title">几种能够在高质量论坛留下锚文本外链的方法</a>
					<div>
						如果通过常规的方法,想要在高质量论坛里面留下锚文本几乎是不可能完成的任务,一般都是两种方法,一种是花钱购买,另一种就是通过努力升级,给这个网站做出一定的贡献之后,才能够有机会在这个网站上留下一条两条的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwYxEM.html" rel="bookmark" class="title">Css块内元素和行内元素</a>
					<div>
						行内元素(inline element),又叫内联元素: 内联元素可容纳文本或者其它内联元素,常见的内联元素有&lt;span&gt;.&lt;a&gt;.&lt;input&gt;. 块元素(blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLRZkb.html" rel="bookmark" class="title">手工定制Win2000应答文件</a>
					<div>
						在无人值守安装Windows 2000时,系统使用了一个被称为应答文件的ASCII码文本文件(其名字为Unattend.txt),该文件可告诉安装程序如何安装和配置Windows 2000.当用户选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2G84b.html" rel="bookmark" class="title">Delphi中用多媒体库Bass&period;dll播放mp3 &lbrack;13&rsqb;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLa7Ob.html" rel="bookmark" class="title">使用名字空间</a>
					<div>
						16.2.1 名字空间的声明 名字空间的声明是关键字&quot;namespace&quot;后面跟名字空间名和名字空间主体,然后还可以跟一个分号.格式如下: namespace qualified- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6kmjz.html" rel="bookmark" class="title">详解Python中break语句的用法</a>
					<div>
						  这篇文章主要介绍了详解Python中break语句的用法,是Python入门的呼出知识,需要的朋友可以参考下 在Python中的break语句终止当前循环,继续执行下一个语句,就像C语言中的bre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKLLVp.html" rel="bookmark" class="title">js中的对象声明方式以及数组的一些用法</a>
					<div>
						 本文为大家介绍下js中的对象声明方式以及数组的一些用法,下面有个不错的示例,感兴趣的朋友可以参考下,希望对大家有所帮助  代码如下: &lt;!DOCTYPE HTML PUBLIC &quot;- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOamj9M.html" rel="bookmark" class="title">在Excel 2007中让单元格内容小写转为大写</a>
					<div>
						  ①启动Excel2007,打开表格,看到D列里面都是小写形式的,我们需要将其转为大写形式,在单元格输入下面的函数公式: =upper(D2). ②公式输入完成,大家切记,要是在英文半角状态下输入, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24r2op.html" rel="bookmark" class="title">360xp盾甲在哪里</a>
					<div>
						  下载安装360xp专版安全卫士后,我们可以发现主界面会与普通版的360安全卫士有所不同,点击右边功能大全上侧的&quot;XP盾甲&quot;即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7ZDNM.html" rel="bookmark" class="title">在Win8系统中把IE图标固定在任务栏的方法</a>
					<div>
						虽然如今有越来越多的浏览器产品供我们选择,其中也不乏很多优秀的浏览器产品,比如Chrome和Firefox浏览器,但IE依然是很多人的第一选择.这么常用的IE浏览器在Win8下要如何固定到任务栏呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY3joM.html" rel="bookmark" class="title">netcfg&period;hlp是什么文件？</a>
					<div>
						  这个netcfg.hlp是什么文件呢? netcfg.hlp文件是Windows系统中网络连接程序的帮助文件,一旦出现连接失败.无法拨号连接时,系统将自动开启netcfg.hlp帮助文件,在net ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW2xqp.html" rel="bookmark" class="title">电脑键盘多功能键的用处和技巧</a>
					<div>
						  电脑标准键盘上那么多键,您都知道是做什么用的么?您又能了解几个多功能键的用处呢?本文详细的为您介绍这些键盘多功能键的用处. 1.Win键 也就是飘着Microsoft Windows大旗的那个键, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGxllb.html" rel="bookmark" class="title">电脑中u盘历史记录怎样查看和删除</a>
					<div>
						  u盘使用起来十分的方便,在U盘装系统之后就可以便捷使用.不过为了保证个人的隐私,一般在用完u盘之后都要将使用的记录进行删除,那么具体该怎么操作呢?下面就教教大家怎么样查看和删除电脑中u盘的历史记录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVmZOb.html" rel="bookmark" class="title">吴恩达的21节Deeplearning&period;ai课程学习经验总结</a>
					<div>
						截止到2017年10月25日,吴恩达在Coursera上目前有3门新的深度学习课程: 1.神经网络和深度学习(Neural Networks and Deep Learning) 2.改善深度神经网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l1BKb.html" rel="bookmark" class="title">IT人士对于SaaS治理需要了解的五件事</a>
					<div>
						本文讲的是IT人士对于SaaS治理需要了解的五件事,SaaS对于所有类型和规模的IT部门都已经成为现实.首席信息官和其他IT领导者需要一些工具像管理内部安装的软件一样严格地管理SaaS应用的庞大的产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEnXBp.html" rel="bookmark" class="title">中文字符串显示乱码-java前端jquery接接收中文字符串乱码问题</a>
					<div>
						问题描述 java前端jquery接接收中文字符串乱码问题 服务端:@RequestMapping(value=&quot;/detail/modSelect&quot;, method = {Req ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Genz.html" rel="bookmark" class="title">【SQL】关于无法附加文件的错误</a>
					<div>
						[SQL]关于无法附加文件的错误 1.错误信息如下:    2.估计是权限问题右击属性,把权限开一下    3.然后就附加成功了~~    ------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE5Yxz.html" rel="bookmark" class="title">工信部备案网站验证码打不开的解决办法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近笔者在工信部备案网站查询和注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkWE6b.html" rel="bookmark" class="title">google-Google Play 在不同的android盒子上搜索出来的结果不一样</a>
					<div>
						问题描述 Google Play 在不同的android盒子上搜索出来的结果不一样 我手上有两个盒子,一个是Android4.2,一个是Android4.4, 在国内分别使用VPN链接到洛杉矶,登陆的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl2Krp.html" rel="bookmark" class="title">为什么MQ新建队列管理器后连接状态总为&OpenCurlyDoubleQuote;已断开连接&rdquo;</a>
					<div>
						问题描述 我在windows2003上安装MQ6.0,为什么&quot;新建&quot;了一个队列管理器,但是连接状态总为&quot;已断开连接&quot;,无法在其下面建立队列. 解决方案 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA0anM.html" rel="bookmark" class="title">国内各大网站的奥运传播大战也进入到白热化阶段</a>
					<div>
						腾讯微博打出奥运组合拳 轻质阅读展平台优势 随着伦敦奥运会的日益临近,国内各大网站的奥运传播大战也进入到白热化阶段.在这期间,腾讯微博在秉承腾讯网&quot;内容精品化,形态简洁化&quot;的全局改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rmk6z.html" rel="bookmark" class="title">三大主流网游加速器对比评测</a>
					<div>
						十一黄金周即将来临,面对景区的人山人海,相信很多游戏玩家都更愿意&quot;宅&quot;在家,痛痛快快的玩玩网游.不过,大部分玩家的网络不足以支撑顺畅的游戏体验,经常遇到掉线.卡顿.延迟等问题.为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Vo8z.html" rel="bookmark" class="title">Git基础03</a>
					<div>
						分支 1 $ git branch br01 # 创建br01分支 12 $ git checkout br01 # 切换到br01分支切换到分支 'br01' 12 $ git checkout - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBoe1b.html" rel="bookmark" class="title">标签-html&lbrace;min-width&colon;980px&semi;background&colon;0&rcub;</a>
					<div>
						问题描述 html{min-width:980px;background:0} html{min-width:980px;background:0} 请问这个语句什么意思啊?html这个标签怎么没用过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw5eZM.html" rel="bookmark" class="title">jar-Cannot inherit from final class</a>
					<div>
						问题描述 Cannot inherit from final class 有个方法,main方法调用没有问题,嵌入到struts项目中就报错了. 2015/03/26 10:48:02,137 [or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLEOaM.html" rel="bookmark" class="title">黑科技！颠覆者！区块链，再不关注就晚了</a>
					<div>
						2008年,区块链(Blockchain)的概念浮出水面.该技术将数据分区块存储,每一块包含一部分内容,每一个区块都会记录着前一区块的id,按时间顺序形成一个链状结构,并以密码学方式保证数据不可篡改, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeowAxM.html" rel="bookmark" class="title">用Valgrind检测PostgreSQL内存泄露</a>
					<div>
						Valgrind简介 Valgrind是一个开源工具集合,其中最有名的是Memcheck可用来检测C,C++程序的内存泄露,判断程序运行是否会crash或者产生不可预知的结果. Valgrind Me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1y43b.html" rel="bookmark" class="title">互联网金融火热背后： VC谨慎 创业者喜忧参半</a>
					<div>
						&quot;站在风口上,猪也会飞起来! &quot;一位互联网金融创业者如此描述行业的状态. 今年以来,&quot;互联网金融&quot;概念热捧,尤其是余额宝出现后,互联网金融行业开始&quot;爆 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
